package bomb 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	import net.flashpunk.Sfx;
	import ui.OneThroughTen;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class Explosion extends Entity
	{
		public var itemSpritemap:Spritemap = new Spritemap(Assets.EXPLOSION, 100, 100);
		public var curAnimation:String = "main";
		public var deathtimer:Number = 100;
		public function Explosion(x:Number, y:Number)
		{
			super(x, y);
			setupSpritesheet();
			graphic = itemSpritemap;
			itemSpritemap.play(curAnimation);
			type = "explosion";
			setHitbox(100, 100);

		}
		override public function update():void 
		{
			super.update();
			if (curAnimation == "main" && itemSpritemap.complete) 
			{
				destroy();
			}
		}
		public function setupSpritesheet():void
		{
			itemSpritemap.add("main", [0, 1, 2, 3,4], 25, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
	}

}