package ui 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	import enemies.GreenSpider;
	import net.flashpunk.Sfx;
	import player.PlayerOne;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class OneThroughTenBrown extends Entity
	{
		private const SPRITE_WIDTH:Number = 8;
		private const SPRITE_HEIGHT:Number = 8;
		public var oneSpritemap:Spritemap = new Spritemap(Assets.ONETHROUGHTENBROWN, SPRITE_WIDTH, SPRITE_HEIGHT);
		public var curAnimation:String = "ten";
		private var rem:Boolean = false;
		private var onetimer:Number = 600;
		private var tenchange:Boolean = true;
		private var ninechange:Boolean = true;
		private var eightchange:Boolean = true;
		private var sevenchange:Boolean = true;
		private var sixchange:Boolean = true;
		private var fivechange:Boolean = true;
		private var fourchange:Boolean = true;
		private var threechange:Boolean = true;
		private var twochange:Boolean = true;
		private var onechange:Boolean = true;
		public function OneThroughTenBrown(x:Number, y:Number) 
		{
			setupSpritesheet();
			graphic = oneSpritemap;
			oneSpritemap.play(curAnimation);
			setHitbox(8, 8,-10,-10);
			type = "onethroughtenbrown";
			layer = 0;
			super(x, y);
			PlayerOne.brownclip--;
		}
		override public function update():void
		{
			this.x = PlayerOne.playeroneX;
			this.y = PlayerOne.playeroneY;
			super.update();
			oneSpritemap.play(curAnimation);
			if (tenchange) {
				tenchange = false;
				new Sfx(Assets.SOFTCLICK).play(.5);
			}
			if (onetimer <= 600 && onetimer > 560) {
				curAnimation = "ten";
				if (tenchange) {tenchange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
			}
			if (onetimer <= 560 && onetimer > 480) {
				if (ninechange) {ninechange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "nine";
			}
			if (onetimer <= 480 && onetimer > 420) {
				if (eightchange) {eightchange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "eight";
			}
			if (onetimer <= 420 && onetimer > 360) {
				if (sevenchange) {sevenchange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "seven";
			}
			if (onetimer <= 360 && onetimer > 300) {
				if (sixchange) {sixchange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "six";
			}
			if (onetimer <= 300 && onetimer > 240) {
				if (fivechange) {fivechange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "five";
			}
			if (onetimer <= 240 && onetimer > 180) {
				if (fourchange) {fourchange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "four";
			}
			if (onetimer <= 180 && onetimer > 120) {
				if (threechange) {threechange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "three";
			}
			if (onetimer <= 120 && onetimer > 60) {
				if (twochange) {twochange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "two";
			}
			if (onetimer <= 60 && onetimer > 0) {
				if (onechange) {onechange = false;new Sfx(Assets.SOFTCLICK).play(.5);}
				curAnimation = "one";
			}
			if (onetimer <= 0)
				destroy();
			if (onetimer > 0)onetimer--;
		}
		public function setupSpritesheet():void
		{
			oneSpritemap.add("one", [0], 0, false);
			oneSpritemap.add("two", [1], 0, false);
			oneSpritemap.add("three", [2], 0, false);
			oneSpritemap.add("four", [3], 0, false);
			oneSpritemap.add("five", [4], 0, false);
			oneSpritemap.add("six", [5], 0, false);
			oneSpritemap.add("seven", [6], 0, false);
			oneSpritemap.add("eight", [7], 0, false);
			oneSpritemap.add("nine", [8], 0, false);
			oneSpritemap.add("ten", [9], 0, false);
		}
		public function destroy():void
		{
			if (PlayerOne.brownclip == 0) PlayerOne.bulletbrown = false;
			PlayerOne.brownclipready = true;
			FP.world.remove(this);
		}
		
	}

}