package worlds 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Tilemap;
	import net.flashpunk.masks.Grid;
	import enemies.Bob;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class RedRoomLoader extends Entity
	{
		
		public function RedRoomLoader() 
		{
			
		}
		
		override public function added():void 
		{
			LevelEditor.DefineTileset("level", Assets.IMAGE_REDROOM, Assets.TILECHART, 16, 16);
			
			var newTM:Tilemap = LevelEditor.CreateTilemap("level", Assets.LEVELMAP_REDROOM);
			
			var newG:Grid = LevelEditor.CreateGrid("level", Assets.LEVELMAP_REDROOM, Assets.COLLISIONCHART);
			
			LevelEditor.PlaceEntities("level", [Bob], Assets.ENTITYCHART, Assets.ENTITYMAP);
			graphic = newTM;
			mask = newG;
			type = "wall";
			layer = 200;
		}
	}

}