package bullets
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	import enemies.GreenSpider;
	import net.flashpunk.Sfx;
	import player.PlayerOne;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class RedBlast extends Entity
	{
		private const SPRITE_WIDTH:Number = 100;
		private const SPRITE_HEIGHT:Number = 100;
		public var oneSpritemap:Spritemap = new Spritemap(Assets.BLASTRED, SPRITE_WIDTH, SPRITE_HEIGHT);
		public var curAnimation:String = "main";

		public function RedBlast(x:Number, y:Number) 
		{
			setupSpritesheet();
			graphic = oneSpritemap;
			oneSpritemap.play(curAnimation);
			setHitbox(8, 8,-10,-10);
			type = "redblast";
			layer = -2;
			super(x, y);
		}
		override public function update():void
		{
			super.update();
			oneSpritemap.play(curAnimation);
			if (curAnimation == "main" && oneSpritemap.complete) destroy();
		}
		public function setupSpritesheet():void
		{
			oneSpritemap.add("main", [0,1,2,3,4,5,6,7], 20, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
	}

}