package items 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	import ui.OneThroughTen;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class BlueBulletPowerUp extends Entity
	{
		public var itemSpritemap:Spritemap = new Spritemap(Assets.BLUEBULLETPOWERUP, 16, 16);
		public var curAnimation:String = "main";
		public var deathtimer:Number = 600;
		public function BlueBulletPowerUp(x:Number, y:Number)
		{
			super(x, y);
			setupSpritesheet();
			graphic = itemSpritemap;
			itemSpritemap.play(curAnimation);
			type = "bluebulletpowerup";
			setHitbox(16, 16);
			FP.world.add(new OneThroughTen(this.x-5, this.y-5));
		}
		override public function update():void 
		{
			super.update();
			//doin't know if i need this actually
			if (deathtimer <= 0) destroy();
			if (deathtimer > 0) deathtimer--;
		}
		public function setupSpritesheet():void
		{
			itemSpritemap.add("main", [0, 1, 0, 2], 4, true);
		}
		public function destroy():void
		{
			var o:OneThroughTen = collide("onethroughten", x, y) as OneThroughTen;
			if (o) o.destroy();
			FP.world.remove(this);
		}
		
	}

}