package ui 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	import enemies.GreenSpider;
	import net.flashpunk.Sfx;
	import player.PlayerOne;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class Clips extends Entity
	{
		private const SPRITE_WIDTH:Number = 28;
		private const SPRITE_HEIGHT:Number = 8;
		public var oneSpritemap:Spritemap = new Spritemap(Assets.CLIPS, SPRITE_WIDTH, SPRITE_HEIGHT);
		public var curAnimation:String = "";
		
		public function Clips(x:Number, y:Number) 
		{
			setupSpritesheet();
			graphic = oneSpritemap;
			oneSpritemap.play(curAnimation);
			setHitbox(8, 8,-10,-10);
			type = "clips";
			layer = -40;
			super(x, y);
		}
		override public function update():void
		{
			super.update();
			oneSpritemap.play(curAnimation);
			this.x = FP.camera.x + 100;
			this.y = FP.camera.y + 224;
		}
		public function setupSpritesheet():void
		{
			oneSpritemap.add("one", [0], 0, false);
			oneSpritemap.add("two", [1], 0, false);
			oneSpritemap.add("three", [2], 0, false);
			oneSpritemap.add("four", [3], 0, false);
			oneSpritemap.add("five", [4], 0, false);
			oneSpritemap.add("six", [5], 0, false);
			oneSpritemap.add("seven", [6], 0, false);
			oneSpritemap.add("eight", [7], 0, false);
			oneSpritemap.add("nine", [8], 0, false);
			oneSpritemap.add("ten", [9], 0, false);
			oneSpritemap.add("infinity", [10], 0, false);
			oneSpritemap.add("zero", [11], 0, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
	}

}