package ui 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.FP;
	import enemies.GreenSpider;
	import net.flashpunk.Sfx;
	import player.PlayerOne;
	/**
	 * ...
	 * @author Commanderstitch
	 */
	public class RedClipCounter extends Entity
	{
		private const SPRITE_WIDTH:Number = 8;
		private const SPRITE_HEIGHT:Number = 8;
		public var oneSpritemap:Spritemap = new Spritemap(Assets.ONETHROUGHINFINITY, SPRITE_WIDTH, SPRITE_HEIGHT);
		public var curAnimation:String = "";
		private var rem:Boolean = false;
		private var tenchange:Boolean = true;
		private var ninechange:Boolean = true;
		private var eightchange:Boolean = true;
		private var sevenchange:Boolean = true;
		private var sixchange:Boolean = true;
		private var fivechange:Boolean = true;
		private var fourchange:Boolean = true;
		private var threechange:Boolean = true;
		private var twochange:Boolean = true;
		private var onechange:Boolean = true;
		public function RedClipCounter(x:Number, y:Number, _curAnimation:String = "") 
		{
			setupSpritesheet();
			graphic = oneSpritemap;
			curAnimation = _curAnimation;
			oneSpritemap.play(curAnimation);
			setHitbox(8, 8,-10,-10);
			type = "redclipcounter";
			layer = -40;
			super(x, y);
		}
		override public function update():void
		{
			super.update();
			oneSpritemap.play(curAnimation);
			this.x = FP.camera.x + 32;
			this.y = FP.camera.y + 224;
			if (PlayerOne.redclip == 0) {
				curAnimation = "zero";
			}
			if (PlayerOne.redclip == 1) {
				curAnimation = "one";
			}
			if (PlayerOne.redclip == 2) {
				curAnimation = "two";
			}
			if (PlayerOne.redclip == 3) {
				curAnimation = "three";
			}
			if (PlayerOne.redclip == 4) {
				curAnimation = "four";
			}
			if (PlayerOne.redclip == 5) {
				curAnimation = "five";
			}
			if (PlayerOne.redclip == 6) {
				curAnimation = "six";
			}
			if (PlayerOne.redclip == 7) {
				curAnimation = "seven";
			}if (PlayerOne.redclip == 8) {
				curAnimation = "eight";
			}
			if (PlayerOne.redclip == 9) {
				curAnimation = "nine";
			}
			if (PlayerOne.redclip == 10) {
				curAnimation = "ten";
			}
		}
		public function setupSpritesheet():void
		{
			oneSpritemap.add("one", [0], 0, false);
			oneSpritemap.add("two", [1], 0, false);
			oneSpritemap.add("three", [2], 0, false);
			oneSpritemap.add("four", [3], 0, false);
			oneSpritemap.add("five", [4], 0, false);
			oneSpritemap.add("six", [5], 0, false);
			oneSpritemap.add("seven", [6], 0, false);
			oneSpritemap.add("eight", [7], 0, false);
			oneSpritemap.add("nine", [8], 0, false);
			oneSpritemap.add("ten", [9], 0, false);
			oneSpritemap.add("infinity", [10], 0, false);
			oneSpritemap.add("zero", [11], 0, false);
		}
		public function destroy():void
		{
			FP.world.remove(this);
		}
		
	}

}